# GameSettings Struct Reference

All settings together for the game. More...

`#include <settings_type.h>`

## Data Fields

DifficultySettings | difficulty
| settings related to the difficulty
GameCreationSettings | game_creation
| settings used during the creation of a game (map)
ConstructionSettings | construction
| construction of things in-game
AISettings | ai
| what may the AI do?
class AIConfig * | ai_config [MAX_COMPANIES]
| settings per company
PathfinderSettings | pf
| settings for all pathfinders
OrderSettings | order
| settings related to orders
VehicleSettings | vehicle
| options for vehicles
EconomySettings | economy
| settings to change the economy
StationSettings | station
| settings related to station management
LocaleSettings | locale
| settings related to used currency/unit system in the current game
SharingSettings | sharing
| settings related to infrastructure sharing

## Detailed Description

All settings together for the game.

Definition at line 389 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h